package com.yeejoin.amos.boot.module.ugp.api.Enum;

import java.security.PublicKey;
import java.util.HashMap;
import java.util.Map;
/**
 * 焊口编码赋码状态
 */
public enum WeldCodeEnum {

    赋值状态1("未赋值","0","codingStatus"),
    赋值状态2("已赋值","1","codingStatus");



    private String status;
    private String state;
    private String IState;


    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getIState() {
        return IState;
    }

    public void setIState(String IState) {
        this.IState = IState;
    }

    WeldCodeEnum(String status, String state, String IState) {
        this.status = status;
        this.state = state;
        this.IState = IState;
    }

    public static final Map<String,String> map=new HashMap<>();
    static{
        for (WeldCodeEnum weldCodeEnum:WeldCodeEnum.values()){
            map.put(weldCodeEnum.getState(),weldCodeEnum.getStatus());
        }
    }


}
